Permalink
Browse files

Install into "perl" dirs only between 5.9.3 and 5.11.0.

  • Loading branch information...
1 parent 77fd8d4 commit b9d5e09a03ff1c9c109e7cf6a7d8db574de6beb0 @theory committed Nov 27, 2012
Showing with 6 additions and 1 deletion.
  1. +5 −0 ChangeLog
  2. +1 −1 Makefile.PL
View
@@ -11,6 +11,11 @@
Fixed test failure on Perl 5.6.2.
+ Changed the default installation location from "perl" to "site" on
+ 5.12 and higher, since as of that version of Perl, dual-life
+ modules no longer need to be installed in "perl" to replace
+ in-core versions. Patch from tzccinct.
+
2012-08-14 David E. Wheeler <david@justatheory.org>
* Release 3.23
View
@@ -29,7 +29,7 @@ WriteMakefile(
]
},
- INSTALLDIRS => $] >= 5.009003 ? 'perl' : 'site',
+ INSTALLDIRS => $] >= 5.009003 && $] <= 5.011000 ? 'perl' : 'site',
LICENSE => 'perl',
AUTHOR => 'Allison Randal <allison@perl.org>',

0 comments on commit b9d5e09

Please sign in to comment.